Bug 1731358 - Supported time units for Logging Ansible Variables
Summary: Supported time units for Logging Ansible Variables
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Documentation
Version: 3.11.0
Hardware: Unspecified
OS: Unspecified
low
low
Target Milestone: ---
: 3.11.z
Assignee: Jeana Routh
QA Contact: Anping Li
Vikram Goyal
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-07-19 08:48 UTC by Robert Sandu
Modified: 2020-04-16 15:37 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-04-16 15:37:54 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Robert Sandu 2019-07-19 08:48:44 UTC
Document URL: https://access.redhat.com/documentation/en-us/openshift_container_platform/3.11/html-single/configuring_clusters/index#aggregate-logging-ansible-variables

Section Number and Name: "36.3. Specifying Logging Ansible Variables"

Describe the issue: Section 36.3, in the "Configuring clusters" document, is missing a section for supported time units.

An example is `openshift_logging_es_recover_after_time`, which admits either seconds (s) or minutes (m) as time unit value.

Suggestions for improvement: add a note of supported time units in the `Logging Ansible Variables` section, like the one seen in [1].

`Supported time units are microseconds (us), milliseconds (ms), seconds (s), minutes (m), hours (h), or days (d).`

---

[1] https://docs.openshift.com/container-platform/4.1/networking/routes/route-configuration.html#nw-configuring-route-timeouts_route-configuration

Comment 1 Jeana Routh 2020-04-02 19:42:35 UTC
Hi Robert,

Looking through that table, I see the following items referring to a specific time:

* openshift_logging_es_recover_after_time - You mentioned this one already, and said allowed values are seconds (s) or minutes (m).
* openshift_logging_es_ops_recover_after_time - This one is described as "Equivalent to openshift_logging_es_recovery_after_time for Ops cluster when openshift_logging_use_ops is set to true." Does this mean this item should also have allowed values of seconds (s) or minutes (m) stated?

Let me know about that, and also let me know if I missed anything that needs to be fixed.

Comment 2 Robert Sandu 2020-04-03 08:00:33 UTC
Hi Jeana.

Yes, I'd say both openshift_logging_es_recover_after_time & openshift_logging_es_ops_recover_after_time should be updated to add the supported time units. 

Also, the "Equivalent to openshift_logging_es_recovery_after_time [...]" snippet seems to have a typo (recovery != recover) that we should likely also update.

Thank you.

Comment 3 Jeana Routh 2020-04-03 13:29:23 UTC
Hi Robert - thanks for verifying and excellent catch on recovery != recover :) Will fix that too.

Comment 4 Jeana Routh 2020-04-03 13:49:37 UTC
Made changes as described in Comment 2 above. 
This can be reviewed here: https://github.com/openshift/openshift-docs/pull/20885/files 
Moving this bug to ON_QA for verification.

Comment 5 Anping Li 2020-04-08 09:07:48 UTC
Found a bug https://bugzilla.redhat.com/show_bug.cgi?id=1822093.

Comment 6 Jeana Routh 2020-04-08 18:56:47 UTC
Waiting on new bug to be fixed per Comment 5
Thanks, Anping!

Comment 7 Jeana Routh 2020-04-09 17:18:41 UTC
Per Vikram's guidance on the PR, will remove reference to openshift_logging_es_ops_recover_after_time in response to https://bugzilla.redhat.com/show_bug.cgi?id=1822093.

Comment 8 Jeana Routh 2020-04-09 18:40:51 UTC
Ready for a re-check.

Comment 9 Jeana Routh 2020-04-15 12:19:30 UTC
Anping Li left "LGTM" on PR, marking this verified

Comment 10 Jeana Routh 2020-04-15 16:56:19 UTC
PR merged, pending online update


Note You need to log in before you can comment on or make changes to this bug.